package com.example.demo_OptionalFields;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface OptionalFieldsRepo extends JpaRepository<OptionalFieldsEntity, Long> {

	@Query(value = "SELECT idName from OptionalFieldsEntity idName")
	List<OptionalFieldsEntity.IdName> finalAllIdName();

	@Query(value = "SELECT names from OptionalFieldsEntity names")
	List<OptionalFieldsEntity.Names> finalAllNames();

	@Query(value = "SELECT * from T_DEMOTABLE where t_used_name is null", nativeQuery = true)
	List<OptionalFieldsEntity> finalAllNamesWithoutUsedName();

}
